
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import javax.swing.table.*;

// einfache Tabelle ohne Scrollen

public class Tabelle01 extends JFrame {

  //Frame konstruieren
  public Tabelle01() {
    setLocation(100,100);
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    this.setSize(550, 250);
    this.setTitle("Tabelle01");
    setGUI();
  }

  void setGUI() {
    JTable tabelle;
    JScrollPane scrollpane;

    tabelle = createTable();
    tabelle.setFont( new Font("Arial", Font.BOLD, 18) );
    this.getContentPane().add(tabelle, BorderLayout.CENTER);

  }


  // createTable
  public JTable createTable() {
      TableModel dataModel = new AbstractTableModel() {
            // Diese Methode muss immer implementiert werden
          public int getColumnCount() {
              return 10;
          }
            // Diese Methode muss immer implementiert werden
          public int getRowCount() {
            return 25;
          }
            // Diese Methode muss immer implementiert werden
          public Object getValueAt(int row, int column) {
             System.out.println("in getValueAt: "+row+"  "+column);
            return new Integer(row*1000+ column);
          }
      };
      JTable table = new JTable(dataModel);
      return table;
  } // createTable



  public static void main(String[] args) {
    Tabelle01 frame = new Tabelle01();
    frame.setVisible(true);
  }


}


/*
       //  ohne Scrollen
      tabelle = createTable();
      this.getContentPane().add(tabelle, BorderLayout.CENTER);



       //  mit Scrollen
      tabelle = createTable();
      scrollpane = new JScrollPane(tabelle);
      this.getContentPane().add(scrollpane, BorderLayout.CENTER);
*/
